Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 218295

Summary: courier-authlib-0.60.2 failed to compile under libtool 2.2
Product: Gentoo Linux Reporter: Roby <robbyjo>
Component: Current packagesAssignee: Luca Longinotti (RETIRED) <chtekk>
Status: RESOLVED FIXED    
Severity: normal CC: net-mail
Priority: High    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 212763    

Description Roby 2008-04-18 17:24:59 UTC
Courier-authlib-0.60.2 failed to compile under libtool 2.2

----- Partial error log -----
make[1]: Entering directory `/var/tmp/portage/net-libs/courier-authlib-0.60.2/work/courier-authlib-0.60.2'
Making all in gdbmobj
make[2]: Entering directory `/var/tmp/portage/net-libs/courier-authlib-0.60.2/work/courier-authlib-0.60.2/gdbmobj'
make  all-am
make[3]: Entering directory `/var/tmp/portage/net-libs/courier-authlib-0.60.2/work/courier-authlib-0.60.2/gdbmobj'
/bin/sh ./libtool --tag=CC   --mode=compile i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I.     -O2 -march=pentium4 -mtune=pentium4 -pipe -MT gdbmobj.lo -MD -MP -MF .deps/gdbmobj.Tpo -c -o gdbmobj.lo gdbmobj.c
./libtool: line 463: CDPATH: command not found
./libtool: line 1299: func_opt_split: command not found
libtool: Version mismatch error.  This is libtool 2.2.2, but the
libtool: definition of this LT_INIT comes from an older release.
libtool: You should recreate aclocal.m4 with macros from libtool 2.2.2
libtool: and run autoconf again.
make[3]: *** [gdbmobj.lo] Error 63
make[3]: Leaving directory `/var/tmp/portage/net-libs/courier-authlib-0.60.2/work/courier-authlib-0.60.2/gdbmobj'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/var/tmp/portage/net-libs/courier-authlib-0.60.2/work/courier-authlib-0.60.2/gdbmobj'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/net-libs/courier-authlib-0.60.2/work/courier-authlib-0.60.2'
make: *** [all] Error 2


Reproducible: Always

Steps to Reproduce:
1. emerge courier-authlib-0.60.2

Actual Results:  
It failed to compile with the error log as mentioned before

Expected Results:  
It should compile.

I downgraded to libtool 1.5.x, compile courier-authlib-0.60.2, and reupgraded to libtool 2.2.x and it works.
Comment 1 SpanKY gentoo-dev 2008-04-20 12:08:27 UTC
courier-authlib wasnt running eautoreconf in all directories, just the top one ... this would break really with any libtool version change, not just libtool-2.2

ive fixed this, but there seems to be a parallel build issue in there between the toplevel libraries and the sub ones (like libauthuserdb.la and userdb/libuserdb.la).

i'd also point out that the patch that deletes AC_PROG_SYSCONFTOOL seems to be incomplete ... it leaves behind some references to @SYSCONFTOOL@ in the toplevel Makefile.am that should be culled.

http://sources.gentoo.org/net-libs/courier-authlib/courier-authlib-0.60.2.ebuild?r1=1.1&r2=1.2